/*
 * defs.h
 *
 * Created: 2013-06-10 08:41:30
 *  Author: dsosnowski
 */ 


#ifndef DEFS_H_
#define DEFS_H_

#define STEER_PORT		PORTB
#define STEER_DDR		DDRB
#define STEER_PIN		PINB
#define STEER_MOSI		0
#define STEER_MISO		1
#define STEER_SCK		2

#define STEER_LED		3		//L active
#define STEER_SPD		4
#define STEER_MOVE		5
#define STEER_STOP		6
#define STEER_RST		7

#define OUT_PORT		PORTA
#define OUT_DDR			DDRA
#define OUT_PIN			PINA
#define ENA_CD			0		//H active
#define ENA_AB			1		//H active
#define CFG_R6			2
#define CFG_R5			3

#define OUT_A			4
#define OUT_B			5
#define OUT_C			6
#define OUT_D			7

#define GET_CFG_R5		(OUT_PIN & (1<<CFG_R5))
#define GET_CFG_R6		(OUT_PIN & (1<<CFG_R6))
#define GET_STOP		(STEER_PIN & (1<<STEER_STOP))
#define LED_SET			(STEER_PORT &= ~(1<<STEER_LED))
#define LED_OFF			(STEER_PORT |= (1<<STEER_LED))




#endif /* DEFS_H_ */